angular.module('starter.controllers', [])
.filter('customFilter', function() {
  return function(input, search) {
    if (typeof search == "undefined") return null ;  
    var filtered = [];   
    angular.forEach(input, function(value) {
      if (search.indexOf(value.id) != -1) {
        filtered.push(value); 
      }
    });
    return filtered;
  }
})
.controller('DashCtrl', function($scope, Forecasts, $cordovaSocialSharing, $stateParams, $ionicLoading, $localstorage, $window, $ionicPopup) {
	Forecasts.random().success(function(data){	
	//Data Generated Below //
	var words = data.words;

	//Get Like Data Automatically
	$scope.$watch(function () { return $localstorage.get('likeSrc') }, function (newVal, oldVal) {
		if (typeof newVal !== 'undefined') {
			$scope.search = $localstorage.get('likeSrc').split(',');
		}
	});		
	
	$scope.likeButton = function(id){
		$localstorage.like(id);
		$scope.newForecast();
		$ionicPopup.alert({title: '<b>Data Liked!</b>', template: '<p align="center">Thanks for like</p>'});
	}
	
	$scope.delButton = function(id, rel){
		$localstorage.remove(id);
		if(rel === '1'){
		window.history.back();
		}
	}
		
		//************ Get All Data
		$scope.allForecasts = words; // all data
		$scope.oneForecast = words[($stateParams.allForecastId-1)]; //one data for detail	
		$scope.likeForecast = words[($stateParams.likeId-1)]; //one data for detail	
		
		//Get Start Random Data
		coupon = Math.ceil(Math.random() * words.length);
		$scope.forecast = words[coupon-1];
		//$scope.maxdata = words.length;
	
		//Get New Random ng-click:newForecast
		$scope.newForecast = function(){
			coupon = Math.ceil(Math.random() * words.length);
			$scope.forecast = words[coupon-1];
		}
	//Data Generated Above ************ //	
	});
	
	//Get New Date
	$scope.date = new Date();	
	
	//Sharing Plugin
	$scope.shareAnywhere = function(message, img) {
    $cordovaSocialSharing.share(message+" Prank Apps On Google Play - WOF6 Team", "Prank App", "www/img/src/"+img, null);
	
    }
	

})


.controller('AccountCtrl', function($scope) {
  $scope.settings = {
    enableFriends: true
  };
});
